Name: leif
Version: 0.7
Release: alt0.M24.1

Summary: Leif is a T68/T68i mobile phone management tool
Summary(ru_RU.KOI8-R): Leif --       Sony/Ericsson T68/T68i
Group: Communications
License: GPL
Url: http://www.tobias-bayer.de/%name.html

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.gz
Patch: %name-0.7-cvs-c++.patch

BuildPreReq: menu-devel

# Automatically added by buildreq on Thu Apr 15 2004
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libarts-devel libbluez-devel libezV24-devel libjpeg-devel libopenobex-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer zlib-devel

%description
Leif is a tool for managing Sony/Ericsson T68/T68i mobile phone.
It supports phonebook editing, file uploading and sms management.

%description -l ru_RU.KOI8-R
Leif -- g      Sony/Ericsson T68/T68i.
Leif   ,   , 
     (SMS).

%define qtdir %_libdir/qt3

%prep
%setup -q
%patch -p1
%__subst 's,\.la\>,.so,' configure* admin/acinclude.m4*
%__subst 's,openobex/\(obex.h\),\1,' leif/leifobex.*
%__subst 's,\([[:blank:]]automake.*|.*\)),\1 | automake*1.8* ),' admin/cvs.sh

%build
export QTDIR=%qtdir
export PATH=%qtdir/bin:$PATH

%make -f admin/Makefile.common
%configure --disable-rpath
%make_build

%install
%makeinstall

# menu
%__mkdir_p %buildroot/%_menudir
freedesktop2menu.pl %name "Applications/Communications" \
    %buildroot/%_datadir/applnk/Utilities/%name.desktop \
    %buildroot/%_menudir/%name

%__cp %buildroot/%_iconsdir/hicolor/16x16/apps/%name.png %buildroot/%_iconsdir/

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_datadir/*/*/*.desktop
%_iconsdir/*.png
%_iconsdir/*/*/*/*.png
%_menudir/*
%doc %_docdir/HTML/en/*
%doc AUTHORS ChangeLog README TODO

%changelog
* Sat Jun 04 2005 Dmitry Marochko <mothlike@altlinux.ru> 0.7-alt0.M24.1
- Backport to Master 2.4

* Thu Apr 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt0.7
- fixed %%build.
- use freedesktop2menu.pl for menu.

* Sun Jan 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt0.6
- fixed %%build.

* Sun Nov 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt0.5
- 0.7

* Wed Oct 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6-alt0.5
- First build for Sisyphus.
